
/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */

package br.com.andretanaka.jsf2basico.controller;

import br.com.andretanaka.jsf2basico.view.ManagedBeanDaTelaInicio;
import br.com.andretanaka.jsf2basico.view.ManagedBeanDaTelaResultado;
import java.io.Serializable;
import java.util.Map;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;

/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */

@ManagedBean(name="controllerTelaResultado")
@SessionScoped
public class ControllerTelaResultado implements Serializable{
    
    private Map getSessionMapAHT(){
	return FacesContext.getCurrentInstance().getExternalContext().getSessionMap();
    }
    
    
    public String voltarParaInicio(){
	ManagedBeanDaTelaInicio managedBeanDaTelaInicio = (ManagedBeanDaTelaInicio) getSessionMapAHT().get("managedBeanDaTelaInicio");
	managedBeanDaTelaInicio.setNumero1("");
	managedBeanDaTelaInicio.setNumero2("");
	getSessionMapAHT().put("managedBeanDaTelaInicio", managedBeanDaTelaInicio);
	ManagedBeanDaTelaResultado managedBeanDaTelaResultado = (ManagedBeanDaTelaResultado) getSessionMapAHT().get("managedBeanDaTelaResultado");
	managedBeanDaTelaResultado.setNumero1("");
	managedBeanDaTelaResultado.setNumero2("");
	managedBeanDaTelaResultado.setResultado("");
	getSessionMapAHT().put("managedBeanDaTelaResultado", managedBeanDaTelaResultado);
	return "inicio";    //NAVEGA PARA A TELA inicio.xhtml
    }

}
/**
 *
 * Andre Hiroshi Tanaka
 * andrehtgti2@gmail.com
 * Tanaka Tecnologia da Informacao LTDA
 * www.andretanaka.com.br
 *
 */